## Tcl8.6.0/Tk8.6.0 Documentation > Tcl C API, version 8.6.0 > Environment

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tcl_PutEnv — procedures to manipulate the environment

### SYNOPSIS

#include <tcl8.6/tcl.h>
int
Tcl_PutEnv(assignment)

### ARGUMENTS

const char *assignment (in)
  Info about environment variable in the format “NAME=value”. The assignment argument is in the system encoding.

### DESCRIPTION

Tcl_PutEnv sets an environment variable. The information is passed in a single string of the form “NAME=value”. This procedure is intended to be a stand-in for the UNIX putenv system call. All Tcl-based applications using putenv should redefine it to Tcl_PutEnv so that they will interface properly to the Tcl runtime.

### SEE ALSO

tclvars

### KEYWORDS

environment, variable
Copyright © 1997-1998 Sun Microsystems, Inc.